## python-defaults 2.5.2-3

=== debian/changelog ===
python-defaults (2.5.2-3) unstable; urgency=low

  * python: Provide python-ctypes and python-wsgiref.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Nov 2008 09:15:19 +0100

python-defaults (2.5.2-2) unstable; urgency=low

  * python: Provide python-plistlib.
  * python-minimal: Provide python (suggested by Neil McGovern).

 -- Matthias Klose <doko@debian.org>  Sat, 26 Jul 2008 02:37:00 +0200

python-defaults (2.5.2-1) unstable; urgency=low

  * Maintainer upload; asking the Release Team to better coordinate
    things. Being in contact with two members of the release team for
    two or three weeks when to upload without getting in the way of
    other transitions, an unannounced upload of a third member of this
    team is at least surprising.
  * debian/python.postinst.in: Fix the bug introduced in the NMU, run the
    rtupdate hooks when upgrading from a version < 2.5.2-1. Closes: #476095.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Apr 2008 20:32:59 +0200

python-defaults (2.5.2-0.1) unstable; urgency=low

  * NMU by the Release Team not to lose the sweet spot for the Python
    transition.
  * Make python2.5 the default Python version.

 -- Adeodato Simó <dato@net.com.org.es>  Sun, 13 Apr 2008 11:29:32 +0200

python-defaults (2.4.4-6) unstable; urgency=low

  * python.postinst: Fix cleanup of temporary files. Closes: #424703, #424704.

 -- Matthias Klose <doko@debian.org>  Thu, 17 May 2007 08:17:16 +0200

python-defaults (2.4.4-5) unstable; urgency=low

  * Run the python2.5 rtinstall hooks, if python2.5 was already
    installed as an unsupported version.

 -- Matthias Klose <doko@debian.org>  Wed, 16 May 2007 21:19:51 +0200

python-defaults (2.4.4-4) unstable; urgency=low

  * New package python-all-dbg.

 -- Matthias Klose <doko@debian.org>  Fri, 04 May 2007 06:56:27 +0200

python-defaults (2.4.4-3) unstable; urgency=low

  * Add python2.5 as a supported python version.
  * Depend on python2.4 packages (>= 2.4.4-4), built for ldbl128 on
    alpha, powerpc, s390, sparc.
  * python-all*: Depend on python2.5 packages (>= 2.4.5-1), built
    for ldbl128 on alpha, powerpc, s390, sparc.
  * Merge pyversions.py changes from python-central.
  * Merge changes from Ubuntu:
    - Add a sanity check, that /usr/bin/python points to the default
      python version. Users tend to modify this symlink, which then
      breaks stuff in obscure ways. Ubuntu #75557, closes: #418002.
    - python-dbg: Provide python-gdbm-dbg, python-tk-dbg,
      link to README.debug, SpecialBuilds.txt.gz.
    - python-dev: Add an unversioned python-config binary (backport
      from python2.5 (appears in python2.4 2.4.4-4).
    - Robustify building the faq html pages.
    - Make the suggestions of various packages versioned.
  * Update the upstream FAQ.

 -- Matthias Klose <doko@debian.org>  Fri,  4 May 2007 06:05:12 +0200
