=== debian/control ===
Source: python-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends-Indep: debhelper (>= 4), libhtml-tree-perl, debiandoc-sgml, python-docutils (>= 0.4-3), python
Standards-Version: 3.7.2

Package: python
Architecture: all
Priority: standard
Depends: python2.5 (>= 2.5.2), python-minimal (= ${Source-Version})
Conflicts: python2.3 (<< 2.3.5-14), python2.1 (<= 2.1.2), python-xmlbase, python-csv, python-bz2, python-base, python-central (<< 0.5.5)
Replaces: python2.3 (<= 2.3.2-6), python-xmlbase, python-base
Provides: python-email, python-xmlbase, python-plistlib, python-ctypes, python-wsgiref
Suggests: python-doc (>= ${Source-Version}), python-tk (>= ${Source-Version}), python-profiler (>= ${Source-Version})
Description: An interactive high-level object-oriented language (default version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.5).

Package: python-minimal
Architecture: all
Priority: standard
Depends: python2.5-minimal (>= 2.5.2), dpkg (>= 1.13.20)
Conflicts: python (<= 2.4-1), python-central (<< 0.5.5)
Replaces: python (<= 2.4-1)
Recommends: python
Description: A minimal subset of the Python language (default version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python-examples
Architecture: all
Depends: python (= ${Source-Version}), python2.5-examples (>= 2.5.2)
Description: Examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.5).

Package: python-dev
Architecture: all
Depends: python (= ${Source-Version}), python2.5-dev (>= 2.5.2)
Description: Header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 Includes the python distutils, which were in a separate package up to
 version 1.5.2.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.5).

Package: idle
Architecture: all
Depends: python (= ${Source-Version}), python-tk (>= 2.4.3-3)
Enhances: python
Description: An IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.5).

Package: python-doc
Section: doc
Architecture: all
Depends: python2.5-doc (>= 2.5.2)
Suggests: python
Conflicts: python-doc-info, python (<< 2.3.5)
Replaces: python-doc-info, python (<< 2.3.5)
Description: Documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v2.5). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.5).

Package: python-dbg
Architecture: all
Priority: extra
Depends: python (= ${Source-Version}), python2.5-dbg (>= 2.5.2)
Provides: python-gdbm-dbg, python-tk-dbg
Description: Debug Build of the Python Interpreter (version 2.5)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python2.5/lib-dynload/debug first.

Package: python-all
Architecture: all
Priority: optional
Depends: python (= ${Source-Version}), python2.4 (>= 2.4.4-4), python2.5 (>= 2.5.1-1)
Description: Package depending on all supported Python runtime versions
 The package currently depends on python2.4 and python2.5, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python runtimes.

Package: python-all-dev
Architecture: all
Priority: optional
Depends: python-all (= ${Source-Version}), python-dev (= ${Source-Version}), python2.4-dev (>= 2.4.4-4), python2.5-dev (>= 2.5.1-1)
Description: Package depending on all supported Python development packages
 The package currently depends on python2.4-dev and python2.5-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

Package: python-all-dbg
Architecture: all
Priority: optional
Depends: python-all (= ${Source-Version}), python-dbg (= ${Source-Version}), python2.4-dbg (>= 2.4.4-4), python2.5-dbg (>= 2.5.1-1)
Description: Package depending on all supported Python debugging packages
 The package currently depends on python2.4-dbg and python2.5-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.
