## python-defaults 2.5.2-3maemo2

=== debian/changelog ===
python-defaults (2.5.2-3maemo2) unstable; urgency=low

  * Put the pymaemo-developers mailing list address in "Maintainer" field and
    move original value to a separate field.

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Mon, 30 Mar 2009 06:57:04 -0400

python-defaults (2.5.2-3maemo1) unstable; urgency=low

  * Make idle package creation optional and disable it for maemo.
  * Make FAQ document build optional and disable it for maemo, avoiding a
    build dependency on python-docutils.
  * Set debian/debian_defaults according to current maemo status (only
    python2.5 supported).
  * Add build dependency on pythonX.Y and pythonX.Y-minimal packages, to avoid
    using the "python" package provided by Scratchbox.

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Wed, 05 Nov 2008 07:53:35 -0400
