=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends-Indep: debhelper (>= 4), libhtml-tree-perl, debiandoc-sgml, python-docutils (>= 0.4-3), python
+Build-Depends-Indep: debhelper (>= 4), libhtml-tree-perl, debiandoc-sgml, python2.5 (>= 2.5.2), python2.5-minimal (>= 2.5.2)
 Standards-Version: 3.7.2
 
 Package: python
@@ -106,11 +106,10 @@
 Package: python-all
 Architecture: all
 Priority: optional
-Depends: python (= ${Source-Version}), python2.4 (>= 2.4.4-4), python2.5 (>= 2.5.1-1)
+Depends: python (= ${Source-Version}), python2.5 (>= 2.5.1-1)
 Description: Package depending on all supported Python runtime versions
- The package currently depends on python2.4 and python2.5, in the future,
- dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
- may be added.
+ The package currently depends on python2.5, in the future, dependencies on
+ jython (Python for a JVM) and ironpython (Python for Mono) may be added.
  .
  This package is used as a build dependency for other packages to
  avoid hardcoded dependencies on specific Python runtimes.
@@ -118,11 +117,10 @@
 Package: python-all-dev
 Architecture: all
 Priority: optional
-Depends: python-all (= ${Source-Version}), python-dev (= ${Source-Version}), python2.4-dev (>= 2.4.4-4), python2.5-dev (>= 2.5.1-1)
+Depends: python-all (= ${Source-Version}), python-dev (= ${Source-Version}), python2.5-dev (>= 2.5.1-1)
 Description: Package depending on all supported Python development packages
- The package currently depends on python2.4-dev and python2.5-dev, in the
- future, dependencies on jython (Python for a JVM) and ironpython (Python
- for Mono) may be added.
+ The package currently depends on python2.5-dev, in the future, dependencies on
+ jython (Python for a JVM) and ironpython (Python for Mono) may be added.
  .
  This package is used as a build dependency for other packages to
  avoid hardcoded dependencies on specific Python development packages.
@@ -130,11 +128,10 @@
 Package: python-all-dbg
 Architecture: all
 Priority: optional
-Depends: python-all (= ${Source-Version}), python-dbg (= ${Source-Version}), python2.4-dbg (>= 2.4.4-4), python2.5-dbg (>= 2.5.1-1)
+Depends: python-all (= ${Source-Version}), python-dbg (= ${Source-Version}), python2.5-dbg (>= 2.5.1-1)
 Description: Package depending on all supported Python debugging packages
- The package currently depends on python2.4-dbg and python2.5-dbg, in the
- future, dependencies on jython (Python for a JVM) and ironpython (Python
- for Mono) may be added.
+ The package currently depends on python2.5-dbg, in the future, dependencies on
+ jython (Python for a JVM) and ironpython (Python for Mono) may be added.
  .
  This package is used as a build dependency for other packages to
  avoid hardcoded dependencies on specific Python development packages.
