=== debian/rules ===
--- 
+++ 
@@ -31,9 +31,23 @@
 
 rst2html	= rst2html
 
+PYTHON_PKGS	= dbg dev examples all all-dev all-dbg
+
 with_doc	= no
 ifneq ($(with_doc),yes)
   NOPKGS	= -Npython-doc
+endif
+
+with_faq	= no
+ifeq ($(with_faq),yes)
+  DOCUTILS	= $(shell echo 'python-docutils (>= 0.4-3),')
+endif
+
+with_idle	= no
+ifeq ($(with_idle),yes)
+  PYTHON_PKGS	+= idle
+else
+  NOPKGS	+= -Nidle
 endif
 
 build: stamp-build
@@ -56,6 +70,7 @@
 	    -e "s/@NVER@/$(NVER)/g" \
 	    -e "s/@VER@/$(VER)/g" \
 	    -e "s/@PREVVER@/$(PREVVER)/g" \
+	    -e "s/ *@DOCUTILS@/$(DOCUTILS)/g" \
 		<debian/control.in >debian/control.tmp
 ifeq ($(distribution),Ubuntu)
   ifneq (,$(findstring ubuntu, $(PKGVERSION)))
@@ -122,6 +137,8 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
+
+ifeq ($(with_faq),yes)
 	dh_installdirs usr/share/doc/python/faq
 
 	set -e; \
@@ -136,6 +153,7 @@
 	done
 	mv debian/python/usr/share/doc/python/faq/FAQ.html \
 		debian/python/usr/share/doc/python/
+endif
 
 	touch stamp-install
 
@@ -225,6 +243,7 @@
 	cp -p debian/valgrind-python.supp \
 		debian/python/usr/lib/valgrind/python.supp
 
+ifeq ($(with_idle),yes)
 	: # provide the idle and idle.1 defaults
 	mkdir -p debian/idle/usr/bin
 	install -m 755 debian/idle.py debian/idle/usr/bin/idle
@@ -237,6 +256,7 @@
 
 	mkdir -p debian/idle/usr/share/applications
 	cp -p debian/idle.desktop debian/idle/usr/share/applications/
+endif
 
 #	dh_installdebconf -i $(NOPKGS)
 	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
@@ -244,7 +264,7 @@
 	dh_desktop -i $(NOPKGS)
 	dh_installchangelogs -i $(NOPKGS)
 
-	for p in all all-dev all-dbg dbg dev examples idle; do \
+	for p in $(PYTHON_PKGS); do \
 	  [ $$p = idle ] || p=python-$$p; \
 	  rm -rf debian/$$p/usr/share/doc/$$p; \
 	  ln -sf python debian/$$p/usr/share/doc/$$p; \
@@ -253,17 +273,3 @@
 	dh_compress -i $(NOPKGS)
 	dh_fixperms -i $(NOPKGS)
 	dh_installdeb -i $(NOPKGS)
-	dh_gencontrol -i $(NOPKGS)
-	dh_md5sums -i $(NOPKGS)
-	dh_builddeb -i $(NOPKGS)
-
-# Build architecture-dependent files here.
-binary-arch: build install
-# nothing to do
-
-binary: binary-indep binary-arch
-
-.PHONY: control-file configure build clean binary-indep binary-arch binary install
-
-# Local Variables:
-# mode: makefile
