## python-defaults 2.5.2-3maemo3

=== debian/changelog ===
python-defaults (2.5.2-3maemo3) unstable; urgency=low

  * Change PREVVER in debian/rules, avoiding old python2.5-minimal versions
    that had "/usr/bin/python" and thus conflicts with python-minimal.

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Mon, 08 Jun 2009 08:44:55 -0400
