=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export PVER=python2.5
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.5.2
+PREVVER := 2.5.2-15
 
 PWD		:= $(shell pwd)
