## python-defaults 2.5.2-3maemo4

=== debian/changelog ===
python-defaults (2.5.2-3maemo4) unstable; urgency=low

  * python: Install /usr/share/python/python.mk, helper functions for
    getting the python library dir and install args for distutils installs.
    (backported from python-defaults 2.5.4-2 in debian squeeze)

 -- Lauro Moura <lauro.neto@openbossa.org>  Fri, 23 Jul 2010 08:56:51 -0300
