=== debian/rules ===
--- 
+++ 
@@ -188,6 +188,10 @@
 	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
 	ln -sf pdb$(VER) debian/python/usr/bin/pdb
 
+	mkdir -p debian/python/usr/share/python
+	install -m 644 debian/python.mk \
+		debian/python/usr/share/python/
+
 	mkdir -p debian/python/usr/share/man/man1
 	ln -sf pydoc$(VER).1.gz \
 		debian/python/usr/share/man/man1/pydoc.1.gz
@@ -267,9 +271,3 @@
 	for p in $(PYTHON_PKGS); do \
 	  [ $$p = idle ] || p=python-$$p; \
 	  rm -rf debian/$$p/usr/share/doc/$$p; \
-	  ln -sf python debian/$$p/usr/share/doc/$$p; \
-	done
-
-	dh_compress -i $(NOPKGS)
-	dh_fixperms -i $(NOPKGS)
-	dh_installdeb -i $(NOPKGS)
