## python-defaults 2.6.2-0ubuntu1

=== debian/changelog ===
python-defaults (2.6.2-0ubuntu1) jaunty; urgency=low

  * Bump version to 2.6.2.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Apr 2009 14:51:24 +0200

python-defaults (2.6.1-0ubuntu9) jaunty; urgency=low

  * add versionized conflict for python-freevo and python-aubio to 
    make intrepid->jaunty upgrade work reliable

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 31 Mar 2009 19:52:07 +0200

python-defaults (2.6.1-0ubuntu8) jaunty; urgency=low

  * Add versionized conflict against libboost-dbg and libboost1.35-dbg for
    lower version than jaunty. This ensures that the new version of the
    libboost-dbg.rtupdate script is available when the new python2.6 gets
    installed. The old script does not know about python2.6 and errors
    out (LP: #352317)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 31 Mar 2009 14:30:21 +0200

python-defaults (2.6.1-0ubuntu7) jaunty; urgency=low

  * Add versionized conflict against pitivi for lower version than jaunty
    to ensure that the new version of pitivi is available when the new
    python2.6 gets installed. This works around a install failure in
    intrepid->jaunty upgrade (LP: #349441)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Mar 2009 16:06:42 +0100

python-defaults (2.6.1-0ubuntu6) jaunty; urgency=low

  [ Michael Vogt ]
  * Add versionized conflict against qmtest for lower version than jaunty
    to ensure that the new version of qmtest is available when the new
    python2.6 gets installed. This works around a install failure in
    intrepid->jaunty upgrade (LP: #348322)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 26 Mar 2009 19:24:09 -0700

python-defaults (2.6.1-0ubuntu5) jaunty; urgency=low

  * python: Add an unversioned `2to3' binary.
  * idle: Don't install a desktop file (already done in the versioned
    idle packages).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2009 21:42:15 +0100

python-defaults (2.6.1-0ubuntu4) jaunty; urgency=low

  * Add versioned conflict against libboost-python-dev and
    libboost-python1.35-dev. Both packages have broken .rtupdate scripts
    in intrepid. LP: #346795.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2009 15:13:47 +0100

python-defaults (2.6.1-0ubuntu3) jaunty; urgency=low

  * Add versionized conflict against ufw for lower version than jaunty 
    to ensure that the new version of ufw (with python2.6 modules)
    is available when the new python2.6 gets installed. This works
    around a trigger failure in intrepid->jaunty upgrade (LP: #337705)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 04 Mar 2009 21:37:16 +0100

python-defaults (2.6.1-0ubuntu2) jaunty; urgency=low

  * idle-python: Depend on idle-python2.6. LP: #246125. Closes: #482163.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Mar 2009 14:04:05 +0100

python-defaults (2.6.1-0ubuntu1) jaunty; urgency=low

  * Make python2.6 the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Feb 2009 11:44:05 +0100

python-defaults (2.5.4-0ubuntu5) jaunty; urgency=low

  * python: Install /usr/share/python/python.mk, helper functions for
    getting the python library dir and install args for distutils installs.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Feb 2009 15:47:38 +0100

python-defaults (2.5.4-0ubuntu3) jaunty; urgency=low

  * Accept initial blank line in debian/control when parsing version
    information. LP: #328929.
  * Merge pyversions.py with python-central.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Feb 2009 10:53:36 +0100

python-defaults (2.5.4-0ubuntu2) jaunty; urgency=low

  * Fix dependencies fo the -all packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Feb 2009 12:52:35 +0100

python-defaults (2.5.4-0ubuntu1) jaunty; urgency=low

  * Depend on the 2.5.4 versions of the packages.
  * Add 2.6 as a supported version, drop 2.4 as a supported version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Feb 2009 10:03:43 +0100

python-defaults (2.5.2-3ubuntu1) jaunty; urgency=low

  * Merge with Debian; remaining changes:
    - Build the -doc package from this source package.
    - Omit Debian specific upgrade code.
    - Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Nov 2008 21:58:03 +0100
