=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,12 @@
 
 distribution := $(shell lsb_release -is)
 
-export VER=2.5
-export NVER=2.6
-export PVER=python2.5
+export VER=2.6
+export NVER=2.7
+export PVER=python2.6
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.5.2-15
+PREVVER := 2.6.2
 
 PWD		:= $(shell pwd)
 
@@ -31,23 +31,9 @@
 
 rst2html	= rst2html
 
-PYTHON_PKGS	= dbg dev examples all all-dev all-dbg
-
-with_doc	= no
+with_doc	= yes
 ifneq ($(with_doc),yes)
   NOPKGS	= -Npython-doc
-endif
-
-with_faq	= no
-ifeq ($(with_faq),yes)
-  DOCUTILS	= $(shell echo 'python-docutils (>= 0.4-3),')
-endif
-
-with_idle	= no
-ifeq ($(with_idle),yes)
-  PYTHON_PKGS	+= idle
-else
-  NOPKGS	+= -Nidle
 endif
 
 build: stamp-build
@@ -70,7 +56,6 @@
 	    -e "s/@NVER@/$(NVER)/g" \
 	    -e "s/@VER@/$(VER)/g" \
 	    -e "s/@PREVVER@/$(PREVVER)/g" \
-	    -e "s/ *@DOCUTILS@/$(DOCUTILS)/g" \
 		<debian/control.in >debian/control.tmp
 ifeq ($(distribution),Ubuntu)
   ifneq (,$(findstring ubuntu, $(PKGVERSION)))
@@ -137,8 +122,6 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-
-ifeq ($(with_faq),yes)
 	dh_installdirs usr/share/doc/python/faq
 
 	set -e; \
@@ -153,7 +136,6 @@
 	done
 	mv debian/python/usr/share/doc/python/faq/FAQ.html \
 		debian/python/usr/share/doc/python/
-endif
 
 	touch stamp-install
 
@@ -187,6 +169,7 @@
 	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
 	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
 	ln -sf pdb$(VER) debian/python/usr/bin/pdb
+	ln -sf 2to3-$(VER) debian/python/usr/bin/2to3
 
 	mkdir -p debian/python/usr/share/python
 	install -m 644 debian/python.mk \
@@ -247,7 +230,6 @@
 	cp -p debian/valgrind-python.supp \
 		debian/python/usr/lib/valgrind/python.supp
 
-ifeq ($(with_idle),yes)
 	: # provide the idle and idle.1 defaults
 	mkdir -p debian/idle/usr/bin
 	install -m 755 debian/idle.py debian/idle/usr/bin/idle
@@ -258,9 +240,8 @@
 	mkdir -p debian/idle/usr/share/pixmaps
 	ln -sf python.xpm debian/python/usr/share/pixmaps/idle.xpm
 
-	mkdir -p debian/idle/usr/share/applications
-	cp -p debian/idle.desktop debian/idle/usr/share/applications/
-endif
+#	mkdir -p debian/idle/usr/share/applications
+#	cp -p debian/idle.desktop debian/idle/usr/share/applications/
 
 #	dh_installdebconf -i $(NOPKGS)
 	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
@@ -268,6 +249,18 @@
 	dh_desktop -i $(NOPKGS)
 	dh_installchangelogs -i $(NOPKGS)
 
-	for p in $(PYTHON_PKGS); do \
+	for p in all all-dev all-dbg dbg dev examples idle; do \
 	  [ $$p = idle ] || p=python-$$p; \
 	  rm -rf debian/$$p/usr/share/doc/$$p; \
+	  ln -sf python debian/$$p/usr/share/doc/$$p; \
+	done
+
+	dh_compress -i $(NOPKGS)
+	dh_fixperms -i $(NOPKGS)
+	dh_installdeb -i $(NOPKGS)
+	dh_gencontrol -i $(NOPKGS)
+	dh_md5sums -i $(NOPKGS)
+	dh_builddeb -i $(NOPKGS)
+
+# Build architecture-dependent files here.
+binary-arch: build install
